## redland-bindings 1.0.13.1

=== debian/changelog ===
redland-bindings (1.0.13.1-2) unstable; urgency=low

  * Update for python central changes (Closes; #617051)
  * librdf 1.0.12 fixed the contexts warning (Closes: #610684)

 -- Dave Beckett <dajobe@debian.org>  Wed, 18 May 2011 14:49:15 -0700

redland-bindings (1.0.13.1-1) unstable; urgency=low

  * New upstream release (Closes: #614983, #598392, #614672, #613496,
    #613659, #613893)
  * debian/rules: Use new --with-perl-makemaker-args to set install dest
    rather than undocumented MAKE_PL_OPTS var

 -- Dave Beckett <dajobe@debian.org>  Fri, 25 Feb 2011 12:53:33 -0800

redland-bindings (1.0.11.1-1) experimental; urgency=low

  * New upstream release
  * Source format 3.0 (quilt)
  * debian/control, debian/rules: remove dpatch

 -- Dave Beckett <dajobe@debian.org>  Mon, 27 Sep 2010 08:03:17 -0700

redland-bindings (1.0.10.1-3) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.1
  * debian/patches/01-python-example-exception.patch: Added from upstream
    GIT 72c03eeb3267be06774771be6043cc034d12a827 (Closes: #585299)
  * debian/patches/02-python-unicode-exception.patch: Added from upstream
    GIT commmits 1c5088ed79c7f1c32da2582cfb26a9a5a3010776
    713a4cbc4728c25f6d2398db4a3a4f70827e7765 and
    aaabb24978c9f95d3510a16cac879344ed0452ec to remove crash and
    python exception failure on creating URIs from unicode strings.
    Seen as an error like 'SystemError: error return without exception set'
    in Redland_python.unicode_to_bytes.

 -- Dave Beckett <dajobe@debian.org>  Thu, 05 Aug 2010 23:27:00 -0700

redland-bindings (1.0.10.1-2) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.8.4
    - Added ${misc:Depends} (lintian)
  * debian/redland.ini: Remove comment (Closes: #571650)

 -- Dave Beckett <dajobe@debian.org>  Tue, 02 Mar 2010 19:51:00 -0800

redland-bindings (1.0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing dependency on phpapi-* (Closes: #566292)
  * Add php5-cli as an alternative to the php5 dependency.

 -- Raphael Geissert <geissert@debian.org>  Fri, 29 Jan 2010 21:15:32 -0600

redland-bindings (1.0.10.1-1) unstable; urgency=low

  * New upstream release
  * Require redland 1.0.10
  * debian/control, debian/rules: remove & disable dpatch - no patches now

 -- Dave Beckett <dajobe@debian.org>  Fri, 18 Dec 2009 09:59:05 -0800

redland-bindings (1.0.9.1-1) unstable; urgency=low

  * Added debian/patches/001-php-link.patch to properly link the PHP5
    binding (closes: #525010)
  * Added debian/patches/002-python-example.dpatch to patch python example
    data file path.
  * Standards Version 3.8.3
  * debian/control:
    - Removed Vcs-Browser and Vcs-Svn since they do not point to the
      version control area for the packaging, but for upstream.
    - Build depend on dpatch for patch above
  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 13 Sep 2009 21:36:00 -0700

redland-bindings (1.0.8.1-2) unstable; urgency=low

  * Use new sections ruby, php for librdf-ruby and php5-librdf respectively.
  * Merge features from ubuntu packaging.  Thanks to Matthias Klose
    (not taking linker -Wl,--as-needed since that makes dyloading fail
    to pull in raptor symbols):
    debian/rules:
    - get python lib dir from distutils
    - make dh_pycentral use symlinks
    debian/python-librdf.examples:
    - add data/dc.rdf to examples dir and adjust example.py
      to point to it (Closes: #402612)
  * Patch python/Makefile.in so it can allow the include dir to be
    overridden by the particular python version build in debian/rules
    using PYTHON_INCLUDES

 -- Dave Beckett <dajobe@debian.org>  Tue, 07 Apr 2009 00:24:21 -0700

redland-bindings (1.0.8.1-1) unstable; urgency=low

  * New upstream release
  * Standards Version 3.8.1

 -- Dave Beckett <dajobe@debian.org>  Wed, 01 Apr 2009 12:25:15 -0700

redland-bindings (1.0.7.1-1) unstable; urgency=low

  * New upstream release
  * Add /etc/php5/conf.d/redland.ini file to php5-librdf

 -- Dave Beckett <dajobe@debian.org>  Thu, 27 Dec 2007 22:22:07 -0800

redland-bindings (1.0.6.1-2) unstable; urgency=low

  * Fix description mentioning php4 (Closes: #423661)
  * php4-cli was gone in experimental (Closes: #424840, #432418)

 -- Dave Beckett <dajobe@debian.org>  Wed, 11 Jul 2007 22:02:34 -0700

redland-bindings (1.0.6.1-1) experimental; urgency=low

  * New upstream release
  * Death to PHP4, long live PHP5

 -- Dave Beckett <dajobe@debian.org>  Sun, 06 May 2007 00:30:25 -0700

redland-bindings (1.0.5.1-1) experimental; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Sun, 19 Nov 2006 15:25:19 -0800

redland-bindings (1.0.4.1-3) unstable; urgency=low

  * Move dh_installdeb after dh_pycentral so the postinst and prerm
    scripts get installed for python-librdf (Closes: #397703)
  * Note since that right now the only supported python version is now
    2.4, this upload removes python 2.3 support.

 -- Dave Beckett <dajobe@debian.org>  Thu, 16 Nov 2006 20:57:00 -0800

redland-bindings (1.0.4.1-2) unstable; urgency=low

  * Standards version 3.7.2 (no changes)
  * Update to use the new python policy (Closes: #380929)
    + debian/rules: build using pycentral
    + debian/control: python-librdf conflicts/replaces the old policy
      binary packages named python2.3-librdf and python2.4-librdf
  * debian/copyright: 2006

 -- Dave Beckett <dajobe@debian.org>  Sat, 12 Aug 2006 11:17:32 -0700

redland-bindings (1.0.4.1-1) unstable; urgency=low

  * New upstream release

 -- Dave Beckett <dajobe@debian.org>  Fri,  5 May 2006 08:01:45 -0700

redland-bindings (1.0.3.1-2) unstable; urgency=low

  * Added php4-librdf package (Closes: #344931)

 -- Dave Beckett <dajobe@debian.org>  Mon,  3 Apr 2006 22:19:29 -0700

redland-bindings (1.0.3.1-1) unstable; urgency=low

  * New upstream release
  * Require librdf0 1.0.3-5 to get postgresql dependency fix
    (and libmysqlclient15 to libmysqlclient15off transition)

