=== debian/control ===
Source: redland-bindings
Section: devel
Priority: optional
Maintainer: Dave Beckett <dajobe@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), autotools-dev, libtool (>= 1.5), perl  (>= 5.8.1-2), python-all-dev (>= 2.6.6-3~), ruby1.8, ruby1.8-dev, librdf0-dev (>= 1.0.13), swig, php5-cli, php5-dev
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://librdf.org/

Package: librdf-perl
Section: perl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Description: Perl language bindings for the Redland RDF library
 The Perl interface modules for the Redland Resource Description
 Framework (RDF) library providing an object-oriented interface in
 the RDF::Redland package.
Homepage: http://librdf.org/docs/perl.html

Package: python-librdf
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python language bindings for the Redland RDF library
 This package contains the files needed to use the Redland Resource
 Description Framework (RDF) library in Python programs.
Homepage: http://librdf.org/docs/python.html

Package: librdf-ruby
Architecture: any
Section: ruby
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby1.8
Description: Ruby 1.8 language bindings for the Redland RDF library
 This package contains the files needed to use the Redland Resource
 Description Framework (RDF) library in Ruby 1.8 programs.
Homepage: http://librdf.org/docs/ruby.html

Package: php5-librdf
Architecture: any
Section: php
Depends: ${misc:Depends}, ${shlibs:Depends}, php5 | php5-cli, ${php:Depends}
Description: PHP5 language bindings for the Redland RDF library
 This package contains the files needed to use the Redland Resource
 Description Framework (RDF) library in PHP5 scripts.
Homepage: http://librdf.org/docs/php.html
