## redland-bindings 1.0.14.1

=== debian/changelog ===
redland-bindings (1.0.14.1-1) unstable; urgency=low

  * New upstream release (Closes: #653250)
  * debian/control
    - Require swig 2.0+
    - Standards-Version 3.9.3
  * debian/rules
    - do not copy in config.sub/guess (Closes: #643275)
    - add build-arch-build-idnep (lintian)

 -- Dave Beckett <dajobe@debian.org>  Sat, 10 Mar 2012 18:08:07 -0800
