=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), autotools-dev, libtool (>= 1.5), perl  (>= 5.8.1-2), python-all-dev (>= 2.6.6-3~), ruby1.8, ruby1.8-dev, librdf0-dev (>= 1.0.13), swig, php5-cli, php5-dev
+Build-Depends: debhelper (>= 5.0.37.2), autotools-dev, libtool (>= 1.5), perl  (>= 5.8.1-2), python-all-dev (>= 2.6.6-3~), ruby1.8, ruby1.8-dev, librdf0-dev (>= 1.0.14), swig (>= 2.0.0), php5-cli, php5-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://librdf.org/
 
 Package: librdf-perl
