=== debian/rules ===
--- 
+++ 
@@ -51,12 +51,6 @@
 configure-stamp:
 	dh_testdir
 
-# handle timestamp skew; advice from autotools-dev README.Debian
-	touch configure.ac && \
-	touch aclocal.m4 && \
-	touch configure
-
-# Calling GNU configure properly; advice from autotools-dev README.Debian
 	./configure $(CONFFLAGS) \
 		--prefix=$(prefix) \
 		--mandir=$(share)/man \
@@ -67,8 +61,10 @@
 	touch $@
 
 
-build: configure-stamp build-stamp
-build-stamp:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: configure-stamp
 	dh_testdir
 
 	cd perl && $(MAKE)
@@ -91,20 +87,17 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 
 	-cd perl && $(MAKE) clean
+	-cd perl && rm -f MYMETA.yml CORE_wrap.c lib/RDF/Redland/CORE.pm
+
+	-cd php && rm -f php_redland.h redland_wrap.c
 
 	-cd python && $(MAKE) clean
-	rm -f substvars
+	-cd python && rm -f Redland_wrap.c
 
 	-cd ruby && $(MAKE) clean
+	-cd ruby && rm -f redland_wrap.c
 
 	-rm -f config.h config.cache config.status config.log
-
-# Copy in fresh copies of config.{sub,guess}
-# (these are from autotools-dev, so must Build-Depend on it)
-	-test -r /usr/share/misc/config.sub && \
-	  cp -f /usr/share/misc/config.sub build/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	  cp -f /usr/share/misc/config.guess build/config.guess
 
 	dh_clean
