## redland-bindings 1.0.16.1

=== debian/changelog ===
redland-bindings (1.0.16.1-1.1ubuntu1) trusty; urgency=medium

  * Install ini file in correct location with PHP 5.5 (LP: #1243568).

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 22 Feb 2014 12:28:31 +0100

redland-bindings (1.0.16.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build Ruby bindings for Ruby 1.9, instead of 1.8.
    (Closes: #722364)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 00:21:40 +0100

redland-bindings (1.0.16.1-1) unstable; urgency=low

  * New upstream release
  * Add dpkg-buildflags to configure for hardening

 -- Dave Beckett <dajobe@debian.org>  Tue, 22 Jan 2013 16:03:44 -0800
