=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: redland-bindings
 Section: devel
 Priority: optional
-Maintainer: Dave Beckett <dajobe@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), autotools-dev, libtool (>= 1.5), perl  (>= 5.8.1-2), python-all-dev (>= 2.6.6-3~), ruby1.8, ruby1.8-dev, librdf0-dev (>= 1.0.14), swig (>= 2.0.0), php5-cli, php5-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dave Beckett <dajobe@debian.org>
+Build-Depends: debhelper (>= 5.0.37.2), autotools-dev, libtool (>= 1.5), perl  (>= 5.8.1-2), python-all-dev (>= 2.6.6-3~), ruby, ruby-all-dev, librdf0-dev (>= 1.0.14), swig (>= 2.0.0), php5-cli, php5-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://librdf.org/
 
 Package: librdf-perl
@@ -30,10 +31,10 @@
 Package: librdf-ruby
 Architecture: any
 Section: ruby
-Depends: ${misc:Depends}, ${shlibs:Depends}, ruby1.8
-Description: Ruby 1.8 language bindings for the Redland RDF library
+Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
+Description: Ruby language bindings for the Redland RDF library
  This package contains the files needed to use the Redland Resource
- Description Framework (RDF) library in Ruby 1.8 programs.
+ Description Framework (RDF) library in Ruby programs.
 Homepage: http://librdf.org/docs/ruby.html
 
 Package: php5-librdf
