=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 PERL=perl
 export PERL
-RUBY=ruby1.8
+RUBY=ruby
 export RUBY
 PHP=php5
 export PHP
@@ -56,7 +56,8 @@
 		--mandir=$(share)/man \
 		--infodir=$(share)/info \
 		--enable-release \
-		--with-perl-makemaker-args="PREFIX=$(CURDIR)/debian/librdf-perl/usr INSTALLDIRS=vendor"
+		--with-perl-makemaker-args="PREFIX=$(CURDIR)/debian/librdf-perl/usr INSTALLDIRS=vendor" \
+		$(shell dpkg-buildflags --export=configure)
 
 	touch $@
