=== debian/watch ===
version=2
http://download.librdf.org/source/ redland-bindings-([\d+\.]+|\d+)\.tar\.gz debian uupdate
