## redland-bindings 1.0.17.1%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
https://download.librdf.org/source/ redland-bindings-([\d+\.]+|\d+)\.tar\.gz debian uupdate
