## redland-bindings 1.0.17.1%2bdfsg

=== debian/changelog ===
redland-bindings (1.0.17.1+dfsg-1.1build2) vivid; urgency=medium

  * No change rebuild against PHP 5.6 (phpapi-20131226).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 27 Jan 2015 15:59:36 +0000

redland-bindings (1.0.17.1+dfsg-1.1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 13:30:23 +0100

redland-bindings (1.0.17.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use $Config{vendorarch} in debian/rules
    (Closes: #752812)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 19:06:45 +0200

redland-bindings (1.0.17.1+dfsg-1) unstable; urgency=medium

  * Acknowlege NMU - thanks Christian.
  * Repack to remove 2 JS files with minimized source (lintian source-is-missing)
  * New upstream release
  * Remove ruby 2.0 build fix patch merged upstream.
  * debian/rules: depend on ruby2.1 ruby2.1-dev since 2.0 is going away

 -- Dave Beckett <dajobe@debian.org>  Sun, 01 Jun 2014 17:48:09 -0700

redland-bindings (1.0.16.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build for Ruby 2.0. (Closes: #743993)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 20 Apr 2014 15:54:31 +0200

redland-bindings (1.0.16.1-2) unstable; urgency=medium

  * Acknowlege NMU - thanks Christian.
  * Adjust php5-librdf install to use php5enmod / php5dismod in
    postinst / prerm to link ini file to the correct
    location (Closes: #739761, #667786)
  * debian/rules: fix clean rule for perl

 -- Dave Beckett <dajobe@debian.org>  Fri, 07 Mar 2014 21:34:38 -0800
